Introduction With IBM Cloud® Secrets Manager, you can create, lease, and centrally manage secrets that are used in IBM Cloud services or your custom-built applications. Secrets are stored in a dedicated instance of Secrets Manager that is built on open source HashiCorp Vault. SDKs for Java, Node, Python, and Go are available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. For more information about getting started with Secrets Manager, check out the docshttps://cloud.ibm.com/docs/secrets-manager. Installing the Java SDK Maven xml Method Path Summary POST /api/v2/secret_groups Create a new secret group GET /api/v2/secret_groups List secret groups GET /api/v2/secret_groups/{id} Get a secret group PATCH /api/v2/secret_groups/{id} Update a secret group DELETE /api/v2/secret_groups/{id} Delete a secret group POST /api/v2/secrets Create a new secret GET /api/v2/secrets List secrets GET /api/v2/secrets/{id} Get a secret DELETE /api/v2/secrets/{id} Delete a secret GET /api/v2/secrets/{id}/metadata Get the metadata of a secret PATCH /api/v2/secrets/{id}/metadata Update the metadata of a secret POST /api/v2/secrets/{id}/actions Create a secret action GET /api/v2/secret_groups/{secret_group_name}/secret_types/{secret_type}/secrets/{name} Get a secret by name POST /api/v2/secrets/{secret_id}/versions Create a new secret version GET /api/v2/secrets/{secret_id}/versions List versions of a secret GET /api/v2/secrets/{secret_id}/versions/{id} Get a version of a secret DELETE /api/v2/secrets/{secret_id}/versions/{id}/secret_data Delete the data of a secret version GET /api/v2/secrets/{secret_id}/versions/{id}/metadata Get the metadata of a secret version PATCH /api/v2/secrets/{secret_id}/versions/{id}/metadata Update the metadata of a secret version POST /api/v2/secrets/{secret_id}/versions/{id}/actions Create a version action GET /api/v2/secrets/{secret_id}/tasks List secret tasks GET /api/v2/secrets/{secret_id}/tasks/{id} Get a secret's task PUT /api/v2/secrets/{secret_id}/tasks/{id} Update a secret's task DELETE /api/v2/secrets/{secret_id}/tasks/{id} Delete a task GET /api/v2/secrets_locks List secrets and their locks GET /api/v2/secrets/{id}/locks List secret locks POST /api/v2/secrets/{id}/locks_bulk Create secret locks DELETE /api/v2/secrets/{id}/locks_bulk Delete secret locks GET /api/v2/secrets/{secret_id}/versions/{id}/locks List secret version locks POST /api/v2/secrets/{secret_id}/versions/{id}/locks_bulk Create secret version locks DELETE /api/v2/secrets/{secret_id}/versions/{id}/locks_bulk Delete locks on a secret version POST /api/v2/configurations Create a new configuration GET /api/v2/configurations List configurations GET /api/v2/configurations/{name} Get a configuration PATCH /api/v2/configurations/{name} Update configuration DELETE /api/v2/configurations/{name} Delete a configuration POST /api/v2/configurations/{name}/actions Create a configuration action POST /api/v2/notifications/registration Register with Event Notifications instance GET /api/v2/notifications/registration Get Event Notifications registration details DELETE /api/v2/notifications/registration Unregister from Event Notifications instance GET /api/v2/notifications/registration/test Send a test event for Event Notifications registrations